import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
export interface AnnotationCircleProps extends Omit<SVGProps<SVGCircleElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'cx' | 'cy' | 'r' | 'fill'> {
    x: ScalarValue;
    y: ScalarValue;
    r: ScalarValue;
    xAxis?: string;
    yAxis?: string;
    color?: string;
}
export declare function Circle(props: AnnotationCircleProps): JSX.Element;
