import { CSSProperties, ReactNode } from 'react';
import { Align } from 'react-d3-utils';
import { ScalarValue } from '../../types';
export interface AnnotationGroupProps {
    x: ScalarValue;
    y: ScalarValue;
    children: ReactNode;
    xAxis?: string;
    yAxis?: string;
    horizontalAlign?: Align;
    verticalAlign?: Align;
    style?: CSSProperties;
}
export declare function Group(props: AnnotationGroupProps): JSX.Element;
