import { SVGAttributes } from 'react';
import type { SeriesPointWithError } from '../types';
export interface ErrorBarsProps {
    data: ReadonlyArray<SeriesPointWithError>;
    transform?: string;
    xAxis?: string;
    yAxis?: string;
    hidden?: boolean;
    style?: SVGAttributes<SVGLineElement>;
    capSize?: number;
    capStyle?: SVGAttributes<SVGLineElement>;
}
export default function ErrorBars(props: ErrorBarsProps): JSX.Element;
