import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Like <rect>, but transparent by default
 */
export default function TransparentRect(props) {
    const { style } = props;
    return (_jsx("rect", { ...props, style: { fillOpacity: (style === null || style === void 0 ? void 0 : style.fill) ? undefined : 0, ...style } }));
}
//# sourceMappingURL=TransparentRect.js.map