"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Polygon = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Polygon(props) {
    const { points: oldPoints, color, xAxis = 'x', yAxis = 'y', ...polylineProps } = props;
    const points = (0, hooks_1.usePointsPosition)({ points: oldPoints, xAxis, yAxis });
    return (0, jsx_runtime_1.jsx)("polygon", { fill: color, points: points, ...polylineProps });
}
exports.Polygon = Polygon;
